<center><a href="petscviewer.h">Actual source code: petscviewer.h</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:17:04+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a><font color="#B22222">/*</font>
<a name="line2">  2: </a><font color="#B22222">     <A href="../docs/manualpages/Viewer/PetscViewers.html#PetscViewers">PetscViewers</A> are objects where other objects can be looked at or stored.</font>
<a name="line3">  3: </a><font color="#B22222">*/</font>


<a name="line10"> 10: </a><font color="#A020F0">#endif</font>

<a name="line12"> 12: </a><font color="#B22222">/*S</font>
<a name="line13"> 13: </a><font color="#B22222">     <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> - Abstract PETSc object that helps view (in ASCII, binary, graphically etc)</font>
<a name="line14"> 14: </a><font color="#B22222">         other PETSc objects</font>

<a name="line16"> 16: </a><font color="#B22222">   Level: beginner</font>

<a name="line18"> 18: </a><font color="#B22222">  Concepts: viewing</font>

<a name="line20"> 20: </a><font color="#B22222">.seealso:  <A href="../docs/manualpages/Viewer/PetscViewerCreate.html#PetscViewerCreate">PetscViewerCreate</A>(), <A href="../docs/manualpages/Viewer/PetscViewerSetType.html#PetscViewerSetType">PetscViewerSetType</A>(), <A href="../docs/manualpages/Viewer/PetscViewerType.html#PetscViewerType">PetscViewerType</A></font>
<a name="line21"> 21: </a><font color="#B22222">S*/</font>
<a name="line22"> 22: </a><font color="#4169E1">typedef struct _p_PetscViewer* <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>;</font>

<a name="line25"> 25: </a>}
<a name="line26"> 26: </a><font color="#A020F0">#endif</font>

<a name="line28"> 28: </a> #include <A href="petsc.h.html">petsc.h</A>

<a name="line32"> 32: </a><font color="#A020F0">#endif</font>


<a name="line37"> 37: </a>}
<a name="line38"> 38: </a><font color="#A020F0">#endif</font>


<a name="line41"> 41: </a><font color="#B22222">/*</font>
<a name="line42"> 42: </a><font color="#B22222">    petsc.h must be included AFTER the definition of <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> for ADIC to </font>
<a name="line43"> 43: </a><font color="#B22222">   process correctly.</font>
<a name="line44"> 44: </a><font color="#B22222">*/</font>
<a name="line46"> 46: </a><font color="#B22222">/*E</font>
<a name="line47"> 47: </a><font color="#B22222">    <A href="../docs/manualpages/Viewer/PetscViewerType.html#PetscViewerType">PetscViewerType</A> - String with the name of a PETSc PETScViewer</font>

<a name="line49"> 49: </a><font color="#B22222">   Level: beginner</font>

<a name="line51"> 51: </a><font color="#B22222">.seealso: <A href="../docs/manualpages/Viewer/PetscViewerSetType.html#PetscViewerSetType">PetscViewerSetType</A>(), <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A></font>
<a name="line52"> 52: </a><font color="#B22222">E*/</font>
<a name="line53"> 53: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PetscViewerType.html#PetscViewerType">PetscViewerType</A> const char*</font></strong>
<a name="line54"> 54: </a><strong><font color="#228B22">#define PETSC_VIEWER_SOCKET       </font><font color="#666666">"socket"</font><font color="#228B22"></font></strong>
<a name="line55"> 55: </a><strong><font color="#228B22">#define PETSC_VIEWER_ASCII        </font><font color="#666666">"ascii"</font><font color="#228B22"></font></strong>
<a name="line56"> 56: </a><strong><font color="#228B22">#define PETSC_VIEWER_BINARY       </font><font color="#666666">"binary"</font><font color="#228B22"></font></strong>
<a name="line57"> 57: </a><strong><font color="#228B22">#define PETSC_VIEWER_STRING       </font><font color="#666666">"string"</font><font color="#228B22"></font></strong>
<a name="line58"> 58: </a><strong><font color="#228B22">#define PETSC_VIEWER_DRAW         </font><font color="#666666">"draw"</font><font color="#228B22"></font></strong>
<a name="line59"> 59: </a><strong><font color="#228B22">#define PETSC_VIEWER_VU           </font><font color="#666666">"vu"</font><font color="#228B22"></font></strong>
<a name="line60"> 60: </a><strong><font color="#228B22">#define PETSC_VIEWER_MATHEMATICA  </font><font color="#666666">"mathematica"</font><font color="#228B22"></font></strong>
<a name="line61"> 61: </a><strong><font color="#228B22">#define PETSC_VIEWER_SILO         </font><font color="#666666">"silo"</font><font color="#228B22"></font></strong>
<a name="line62"> 62: </a><strong><font color="#228B22">#define PETSC_VIEWER_NETCDF       </font><font color="#666666">"netcdf"</font><font color="#228B22"></font></strong>
<a name="line63"> 63: </a><strong><font color="#228B22">#define PETSC_VIEWER_HDF4         </font><font color="#666666">"hdf4"</font><font color="#228B22"></font></strong>
<a name="line64"> 64: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Sys/PETSC_VIEWER_MATLAB.html#PETSC_VIEWER_MATLAB">PETSC_VIEWER_MATLAB</A>       </font><font color="#666666">"matlab"</font><font color="#228B22"></font></strong>

<a name="line67"> 67: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerRegisterAll.html#PetscViewerRegisterAll">PetscViewerRegisterAll</A>(const char *)</font></strong>;
<a name="line68"> 68: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerRegisterDestroy.html#PetscViewerRegisterDestroy">PetscViewerRegisterDestroy</A>(void)</font></strong>;

<a name="line70"> 70: </a><strong><font color="#4169E1"><a name="PetscViewerRegister"></a>EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscViewerRegister(const char*,const char*,const char*,<A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> (*)(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>);

<a name="line72"> 72: </a><font color="#B22222">/*MC</font>
<a name="line73"> 73: </a><font color="#B22222">   <A href="../docs/manualpages/Viewer/PetscViewerRegisterDynamic.html#PetscViewerRegisterDynamic">PetscViewerRegisterDynamic</A> - Adds a method to the Krylov subspace solver package.</font>

<a name="line75"> 75: </a><font color="#B22222">   Synopsis:</font>
<a name="line76"> 76: </a><font color="#B22222">   <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> <A href="../docs/manualpages/Viewer/PetscViewerRegisterDynamic.html#PetscViewerRegisterDynamic">PetscViewerRegisterDynamic</A>(char *name_solver,char *path,char *name_create,<A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> (*routine_create)(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>))</font>

<a name="line78"> 78: </a><font color="#B22222">   Not Collective</font>

<a name="line80"> 80: </a><font color="#B22222">   Input Parameters:</font>
<a name="line81"> 81: </a><font color="#B22222">+  name_solver - name of a new user-defined solver</font>
<a name="line82"> 82: </a><font color="#B22222">.  path - path (either absolute or relative) the library containing this solver</font>
<a name="line83"> 83: </a><font color="#B22222">.  name_create - name of routine to create method context</font>
<a name="line84"> 84: </a><font color="#B22222">-  routine_create - routine to create method context</font>

<a name="line86"> 86: </a><font color="#B22222">   Level: developer</font>

<a name="line88"> 88: </a><font color="#B22222">   Notes:</font>
<a name="line89"> 89: </a><font color="#B22222">   <A href="../docs/manualpages/Viewer/PetscViewerRegisterDynamic.html#PetscViewerRegisterDynamic">PetscViewerRegisterDynamic</A>() may be called multiple times to add several user-defined solvers.</font>

<a name="line91"> 91: </a><font color="#B22222">   If dynamic libraries are used, then the fourth input argument (routine_create)</font>
<a name="line92"> 92: </a><font color="#B22222">   is ignored.</font>

<a name="line94"> 94: </a><font color="#B22222">   Sample usage:</font>
<a name="line95"> 95: </a><font color="#B22222">.vb</font>
<a name="line96"> 96: </a><font color="#B22222">   <A href="../docs/manualpages/Viewer/PetscViewerRegisterDynamic.html#PetscViewerRegisterDynamic">PetscViewerRegisterDynamic</A>("my_viewer_type",/home/username/my_lib/lib/libO/solaris/mylib.a,</font>
<a name="line97"> 97: </a><font color="#B22222">               "MyViewerCreate",MyViewerCreate);</font>
<a name="line98"> 98: </a><font color="#B22222">.ve</font>

<a name="line100">100: </a><font color="#B22222">   Then, your solver can be chosen with the procedural interface via</font>
<a name="line101">101: </a><font color="#B22222">$     <A href="../docs/manualpages/Viewer/PetscViewerSetType.html#PetscViewerSetType">PetscViewerSetType</A>(ksp,"my_viewer_type")</font>
<a name="line102">102: </a><font color="#B22222">   or at runtime via the option</font>
<a name="line103">103: </a><font color="#B22222">$     -viewer_type my_viewer_type</font>

<a name="line105">105: </a><font color="#B22222">  Concepts: registering^Viewers</font>

<a name="line107">107: </a><font color="#B22222">.seealso: <A href="../docs/manualpages/Viewer/PetscViewerRegisterAll.html#PetscViewerRegisterAll">PetscViewerRegisterAll</A>(), <A href="../docs/manualpages/Viewer/PetscViewerRegisterDestroy.html#PetscViewerRegisterDestroy">PetscViewerRegisterDestroy</A>()</font>
<a name="line108">108: </a><font color="#B22222">M*/</font>
<a name="line109">109: </a><font color="#A020F0">#if defined(PETSC_USE_DYNAMIC_LIBRARIES)</font>
<a name="line110">110: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PetscViewerRegisterDynamic.html#PetscViewerRegisterDynamic">PetscViewerRegisterDynamic</A>(a,b,c,d) PetscViewerRegister(a,b,c,0)</font></strong>
<a name="line111">111: </a><font color="#A020F0">#else</font>
<a name="line112">112: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PetscViewerRegisterDynamic.html#PetscViewerRegisterDynamic">PetscViewerRegisterDynamic</A>(a,b,c,d) PetscViewerRegister(a,b,c,d)</font></strong>
<a name="line113">113: </a><font color="#A020F0">#endif</font>

<a name="line115">115: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerCreate.html#PetscViewerCreate">PetscViewerCreate</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;
<a name="line116">116: </a><strong><font color="#4169E1"><A href="../docs/manualpages/Sys/PetscPolymorphicSubroutine.html#PetscPolymorphicSubroutine">PetscPolymorphicSubroutine</A>(<A href="../docs/manualpages/Viewer/PetscViewerCreate.html#PetscViewerCreate">PetscViewerCreate</A>,(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> *v),(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>,v))</font></strong>
<a name="line117">117: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSetFromOptions.html#PetscViewerSetFromOptions">PetscViewerSetFromOptions</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;

<a name="line119">119: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerASCIIOpen.html#PetscViewerASCIIOpen">PetscViewerASCIIOpen</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,const char[],<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;
<a name="line120">120: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinaryCreate.html#PetscViewerBinaryCreate">PetscViewerBinaryCreate</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;
<a name="line121">121: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinaryOpen.html#PetscViewerBinaryOpen">PetscViewerBinaryOpen</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,const char[],<A href="../docs/manualpages/Sys/PetscFileMode.html#PetscFileMode">PetscFileMode</A>,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;
<a name="line122">122: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSocketOpen.html#PetscViewerSocketOpen">PetscViewerSocketOpen</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,const char[],int,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;
<a name="line123">123: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerStringOpen.html#PetscViewerStringOpen">PetscViewerStringOpen</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,char[],<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;
<a name="line124">124: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerDrawOpen.html#PetscViewerDrawOpen">PetscViewerDrawOpen</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,const char[],const char[],int,int,int,int,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;
<a name="line125">125: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerMathematicaOpen.html#PetscViewerMathematicaOpen">PetscViewerMathematicaOpen</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>, int, const char[], const char[], <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> *)</font></strong>;
<a name="line126">126: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSiloOpen.html#PetscViewerSiloOpen">PetscViewerSiloOpen</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>, const char[], <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> *)</font></strong>;
<a name="line127">127: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Sys/PetscViewerMatlabOpen.html#PetscViewerMatlabOpen">PetscViewerMatlabOpen</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,const char[],<A href="../docs/manualpages/Sys/PetscFileMode.html#PetscFileMode">PetscFileMode</A>,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;

<a name="line129">129: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerGetType.html#PetscViewerGetType">PetscViewerGetType</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Viewer/PetscViewerType.html#PetscViewerType">PetscViewerType</A>*)</font></strong>;
<a name="line130">130: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSetType.html#PetscViewerSetType">PetscViewerSetType</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Viewer/PetscViewerType.html#PetscViewerType">PetscViewerType</A>)</font></strong>;
<a name="line131">131: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerDestroy.html#PetscViewerDestroy">PetscViewerDestroy</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line132">132: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerGetSingleton.html#PetscViewerGetSingleton">PetscViewerGetSingleton</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;
<a name="line133">133: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerRestoreSingleton.html#PetscViewerRestoreSingleton">PetscViewerRestoreSingleton</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;

<a name="line135">135: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSetUp.html#PetscViewerSetUp">PetscViewerSetUp</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line136">136: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerView.html#PetscViewerView">PetscViewerView</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;

<a name="line138">138: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSetOptionsPrefix.html#PetscViewerSetOptionsPrefix">PetscViewerSetOptionsPrefix</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,const char[])</font></strong>;
<a name="line139">139: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerAppendOptionsPrefix.html#PetscViewerAppendOptionsPrefix">PetscViewerAppendOptionsPrefix</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,const char[])</font></strong>;
<a name="line140">140: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerGetOptionsPrefix.html#PetscViewerGetOptionsPrefix">PetscViewerGetOptionsPrefix</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,const char*[])</font></strong>;

<a name="line142">142: </a><font color="#B22222">/*E</font>
<a name="line143">143: </a><font color="#B22222">    <A href="../docs/manualpages/Viewer/PetscViewerFormat.html#PetscViewerFormat">PetscViewerFormat</A> - Way a viewer presents the object</font>

<a name="line145">145: </a><font color="#B22222">   Level: beginner</font>

<a name="line147">147: </a><font color="#B22222">.seealso: <A href="../docs/manualpages/Viewer/PetscViewerSetFormat.html#PetscViewerSetFormat">PetscViewerSetFormat</A>(), <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, <A href="../docs/manualpages/Viewer/PetscViewerType.html#PetscViewerType">PetscViewerType</A>, <A href="../docs/manualpages/Viewer/PetscViewerPushFormat.html#PetscViewerPushFormat">PetscViewerPushFormat</A>(), <A href="../docs/manualpages/Viewer/PetscViewerPopFormat.html#PetscViewerPopFormat">PetscViewerPopFormat</A>()</font>
<a name="line148">148: </a><font color="#B22222">E*/</font>
<a name="line149">149: </a><font color="#4169E1">typedef</font> <font color="#4169E1">enum</font> {
<a name="line150">150: </a>  PETSC_VIEWER_ASCII_DEFAULT,
<a name="line151">151: </a>  PETSC_VIEWER_ASCII_MATLAB,
<a name="line152">152: </a>  PETSC_VIEWER_ASCII_MATHEMATICA,
<a name="line153">153: </a>  PETSC_VIEWER_ASCII_IMPL,
<a name="line154">154: </a>  PETSC_VIEWER_ASCII_INFO,
<a name="line155">155: </a>  PETSC_VIEWER_ASCII_INFO_DETAIL,
<a name="line156">156: </a>  PETSC_VIEWER_ASCII_COMMON,
<a name="line157">157: </a>  PETSC_VIEWER_ASCII_SYMMODU,
<a name="line158">158: </a>  PETSC_VIEWER_ASCII_INDEX,
<a name="line159">159: </a>  PETSC_VIEWER_ASCII_DENSE,
<a name="line160">160: </a>  PETSC_VIEWER_ASCII_VTK,
<a name="line161">161: </a>  PETSC_VIEWER_ASCII_VTK_CELL,
<a name="line162">162: </a>  PETSC_VIEWER_ASCII_VTK_COORDS,
<a name="line163">163: </a>  PETSC_VIEWER_ASCII_PCICE,
<a name="line164">164: </a>  PETSC_VIEWER_ASCII_PYLITH,
<a name="line165">165: </a>  PETSC_VIEWER_ASCII_PYLITH_LOCAL,
<a name="line166">166: </a>  PETSC_VIEWER_BINARY_DEFAULT,
<a name="line167">167: </a>  PETSC_VIEWER_BINARY_NATIVE,
<a name="line168">168: </a>  PETSC_VIEWER_DRAW_BASIC,
<a name="line169">169: </a>  PETSC_VIEWER_DRAW_LG,
<a name="line170">170: </a>  PETSC_VIEWER_DRAW_CONTOUR,
<a name="line171">171: </a>  PETSC_VIEWER_DRAW_PORTS,
<a name="line172">172: </a>  PETSC_VIEWER_NATIVE,
<a name="line173">173: </a>  PETSC_VIEWER_NOFORMAT,
<a name="line174">174: </a>  PETSC_VIEWER_ASCII_FACTOR_INFO} <A href="../docs/manualpages/Viewer/PetscViewerFormat.html#PetscViewerFormat">PetscViewerFormat</A>;

<a name="line176">176: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSetFormat.html#PetscViewerSetFormat">PetscViewerSetFormat</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Viewer/PetscViewerFormat.html#PetscViewerFormat">PetscViewerFormat</A>)</font></strong>;
<a name="line177">177: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerPushFormat.html#PetscViewerPushFormat">PetscViewerPushFormat</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Viewer/PetscViewerFormat.html#PetscViewerFormat">PetscViewerFormat</A>)</font></strong>;
<a name="line178">178: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerPopFormat.html#PetscViewerPopFormat">PetscViewerPopFormat</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line179">179: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscViewerGetFormat(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Viewer/PetscViewerFormat.html#PetscViewerFormat">PetscViewerFormat</A>*)</font></strong>;
<a name="line180">180: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerFlush.html#PetscViewerFlush">PetscViewerFlush</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;

<a name="line182">182: </a><font color="#B22222">/*</font>
<a name="line183">183: </a><font color="#B22222">   Operations explicit to a particular class of viewers</font>
<a name="line184">184: </a><font color="#B22222">*/</font>

<a name="line186">186: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerASCIIGetPointer.html#PetscViewerASCIIGetPointer">PetscViewerASCIIGetPointer</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,FILE**)</font></strong>;
<a name="line187">187: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerFileGetMode.html#PetscViewerFileGetMode">PetscViewerFileGetMode</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Sys/PetscFileMode.html#PetscFileMode">PetscFileMode</A>*)</font></strong>;
<a name="line188">188: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerFileSetMode.html#PetscViewerFileSetMode">PetscViewerFileSetMode</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Sys/PetscFileMode.html#PetscFileMode">PetscFileMode</A>)</font></strong>;
<a name="line189">189: </a><strong><font color="#4169E1"><a name="PetscViewerASCIIPrintf"></a>EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerASCIIPrintf.html#PetscViewerASCIIPrintf">PetscViewerASCIIPrintf</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,const char[],...)</font></strong> PETSC_PRINTF_FORMAT_CHECK(2,3);
<a name="line190">190: </a><strong><font color="#4169E1"><a name="PetscViewerASCIISynchronizedPrintf"></a>EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerASCIISynchronizedPrintf.html#PetscViewerASCIISynchronizedPrintf">PetscViewerASCIISynchronizedPrintf</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,const char[],...)</font></strong> PETSC_PRINTF_FORMAT_CHECK(2,3);
<a name="line191">191: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerASCIIPushTab.html#PetscViewerASCIIPushTab">PetscViewerASCIIPushTab</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line192">192: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerASCIIPopTab.html#PetscViewerASCIIPopTab">PetscViewerASCIIPopTab</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line193">193: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerASCIIUseTabs.html#PetscViewerASCIIUseTabs">PetscViewerASCIIUseTabs</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Sys/PetscTruth.html#PetscTruth">PetscTruth</A>)</font></strong>;
<a name="line194">194: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerASCIISetTab.html#PetscViewerASCIISetTab">PetscViewerASCIISetTab</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>)</font></strong>;
<a name="line195">195: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinaryGetDescriptor.html#PetscViewerBinaryGetDescriptor">PetscViewerBinaryGetDescriptor</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,int*)</font></strong>;
<a name="line196">196: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinaryGetInfoPointer.html#PetscViewerBinaryGetInfoPointer">PetscViewerBinaryGetInfoPointer</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,FILE **)</font></strong>;
<a name="line197">197: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinaryRead.html#PetscViewerBinaryRead">PetscViewerBinaryRead</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,void*,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Sys/PetscDataType.html#PetscDataType">PetscDataType</A>)</font></strong>;
<a name="line198">198: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinaryWrite.html#PetscViewerBinaryWrite">PetscViewerBinaryWrite</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,void*,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Sys/PetscDataType.html#PetscDataType">PetscDataType</A>,<A href="../docs/manualpages/Sys/PetscTruth.html#PetscTruth">PetscTruth</A>)</font></strong>;
<a name="line199">199: </a><strong><font color="#4169E1"><a name="PetscViewerStringSPrintf"></a>EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerStringSPrintf.html#PetscViewerStringSPrintf">PetscViewerStringSPrintf</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,const char[],...)</font></strong> PETSC_PRINTF_FORMAT_CHECK(2,3);
<a name="line200">200: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerStringSetString.html#PetscViewerStringSetString">PetscViewerStringSetString</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,char[],<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>)</font></strong>;
<a name="line201">201: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerDrawClear.html#PetscViewerDrawClear">PetscViewerDrawClear</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line202">202: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscViewerDrawSetInfo(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,const char[],const char[],int,int,int,int)</font></strong>;
<a name="line203">203: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSocketSetConnection.html#PetscViewerSocketSetConnection">PetscViewerSocketSetConnection</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,const char[],<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>)</font></strong>;
<a name="line204">204: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinarySkipInfo.html#PetscViewerBinarySkipInfo">PetscViewerBinarySkipInfo</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line205">205: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinaryLoadInfo.html#PetscViewerBinaryLoadInfo">PetscViewerBinaryLoadInfo</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line206">206: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinarySetSkipOptions.html#PetscViewerBinarySetSkipOptions">PetscViewerBinarySetSkipOptions</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Sys/PetscTruth.html#PetscTruth">PetscTruth</A>)</font></strong>;
<a name="line207">207: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinaryGetSkipOptions.html#PetscViewerBinaryGetSkipOptions">PetscViewerBinaryGetSkipOptions</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Sys/PetscTruth.html#PetscTruth">PetscTruth</A>*)</font></strong>;
<a name="line208">208: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinaryReadStringArray.html#PetscViewerBinaryReadStringArray">PetscViewerBinaryReadStringArray</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,char***)</font></strong>;
<a name="line209">209: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerBinaryWriteStringArray.html#PetscViewerBinaryWriteStringArray">PetscViewerBinaryWriteStringArray</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,char**)</font></strong>;

<a name="line211">211: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerFileSetName.html#PetscViewerFileSetName">PetscViewerFileSetName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,const char[])</font></strong>;
<a name="line212">212: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerFileGetName.html#PetscViewerFileGetName">PetscViewerFileGetName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,char**)</font></strong>;

<a name="line214">214: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscPLAPACKInitializePackage(char *)</font></strong>;
<a name="line215">215: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscPLAPACKFinalizePackage(void)</font></strong>;

<a name="line217">217: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerVUGetPointer.html#PetscViewerVUGetPointer">PetscViewerVUGetPointer</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, FILE**)</font></strong>;
<a name="line218">218: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerVUSetVecSeen.html#PetscViewerVUSetVecSeen">PetscViewerVUSetVecSeen</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, <A href="../docs/manualpages/Sys/PetscTruth.html#PetscTruth">PetscTruth</A>)</font></strong>;
<a name="line219">219: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerVUGetVecSeen.html#PetscViewerVUGetVecSeen">PetscViewerVUGetVecSeen</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, <A href="../docs/manualpages/Sys/PetscTruth.html#PetscTruth">PetscTruth</A> *)</font></strong>;
<a name="line220">220: </a><strong><font color="#4169E1"><a name="PetscViewerVUPrintDeferred"></a>EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerVUPrintDeferred.html#PetscViewerVUPrintDeferred">PetscViewerVUPrintDeferred</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, const char [], ...)</font></strong> PETSC_PRINTF_FORMAT_CHECK(2,3);
<a name="line221">221: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerVUFlushDeferred.html#PetscViewerVUFlushDeferred">PetscViewerVUFlushDeferred</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;

<a name="line223">223: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerMathematicaInitializePackage.html#PetscViewerMathematicaInitializePackage">PetscViewerMathematicaInitializePackage</A>(char *)</font></strong>;
<a name="line224">224: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscViewerMathematicaFinalizePackage(void)</font></strong>;
<a name="line225">225: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerMathematicaGetName.html#PetscViewerMathematicaGetName">PetscViewerMathematicaGetName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, const char **)</font></strong>;
<a name="line226">226: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerMathematicaSetName.html#PetscViewerMathematicaSetName">PetscViewerMathematicaSetName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, const char [])</font></strong>;
<a name="line227">227: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerMathematicaClearName.html#PetscViewerMathematicaClearName">PetscViewerMathematicaClearName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line228">228: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerMathematicaSkipPackets.html#PetscViewerMathematicaSkipPackets">PetscViewerMathematicaSkipPackets</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, int)</font></strong>;

<a name="line230">230: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSiloGetName.html#PetscViewerSiloGetName">PetscViewerSiloGetName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, char **)</font></strong>;
<a name="line231">231: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSiloSetName.html#PetscViewerSiloSetName">PetscViewerSiloSetName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, const char [])</font></strong>;
<a name="line232">232: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSiloClearName.html#PetscViewerSiloClearName">PetscViewerSiloClearName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line233">233: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSiloGetMeshName.html#PetscViewerSiloGetMeshName">PetscViewerSiloGetMeshName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, char **)</font></strong>;
<a name="line234">234: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSiloSetMeshName.html#PetscViewerSiloSetMeshName">PetscViewerSiloSetMeshName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, const char [])</font></strong>;
<a name="line235">235: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewerSiloClearMeshName.html#PetscViewerSiloClearMeshName">PetscViewerSiloClearMeshName</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;

<a name="line237">237: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscViewerNetcdfOpen(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,const char[],<A href="../docs/manualpages/Sys/PetscFileMode.html#PetscFileMode">PetscFileMode</A>,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;
<a name="line238">238: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscViewerNetcdfGetID(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, int *)</font></strong>;

<a name="line240">240: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscViewerHDF4Open(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,const char[],<A href="../docs/manualpages/Sys/PetscFileMode.html#PetscFileMode">PetscFileMode</A>,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;
<a name="line241">241: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscViewerHDF4WriteSDS(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> viewer, float *xf, int d, int *dims, int bs)</font></strong>;

<a name="line243">243: </a><font color="#B22222">/*</font>
<a name="line244">244: </a><font color="#B22222">     These are all the default viewers that do not have </font>
<a name="line245">245: </a><font color="#B22222">   to be explicitly opened</font>
<a name="line246">246: </a><font color="#B22222">*/</font>
<a name="line247">247: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_.html#PETSC_VIEWER_STDOUT_">PETSC_VIEWER_STDOUT_</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>)</font></strong>;
<a name="line248">248: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDERR_.html#PETSC_VIEWER_STDERR_">PETSC_VIEWER_STDERR_</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>)</font></strong>;
<a name="line249">249: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_DRAW_.html#PETSC_VIEWER_DRAW_">PETSC_VIEWER_DRAW_</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>)</font></strong>;
<a name="line250">250: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_SOCKET_.html#PETSC_VIEWER_SOCKET_">PETSC_VIEWER_SOCKET_</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>)</font></strong>;
<a name="line251">251: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_BINARY_.html#PETSC_VIEWER_BINARY_">PETSC_VIEWER_BINARY_</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>)</font></strong>;
<a name="line252">252: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>  <A href="../docs/manualpages/Sys/PETSC_VIEWER_MATLAB_.html#PETSC_VIEWER_MATLAB_">PETSC_VIEWER_MATLAB_</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>)</font></strong>;
<a name="line253">253: </a>EXTERN <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> PETSC_VIEWER_MATHEMATICA_WORLD_PRIVATE;

<a name="line255">255: </a><strong><font color="#228B22">#define PETSC_VIEWER_STDERR_SELF  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDERR_.html#PETSC_VIEWER_STDERR_">PETSC_VIEWER_STDERR_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font></strong>
<a name="line256">256: </a><strong><font color="#228B22">#define PETSC_VIEWER_STDERR_WORLD <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDERR_.html#PETSC_VIEWER_STDERR_">PETSC_VIEWER_STDERR_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font></strong>

<a name="line258">258: </a><font color="#B22222">/*MC</font>
<a name="line259">259: </a><font color="#B22222">  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_WORLD.html#PETSC_VIEWER_STDOUT_WORLD">PETSC_VIEWER_STDOUT_WORLD</A>  - same as <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_.html#PETSC_VIEWER_STDOUT_">PETSC_VIEWER_STDOUT_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font>

<a name="line261">261: </a><font color="#B22222">  Level: beginner</font>
<a name="line262">262: </a><font color="#B22222">M*/</font>
<a name="line263">263: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_WORLD.html#PETSC_VIEWER_STDOUT_WORLD">PETSC_VIEWER_STDOUT_WORLD</A> <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_.html#PETSC_VIEWER_STDOUT_">PETSC_VIEWER_STDOUT_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font></strong>

<a name="line265">265: </a><font color="#B22222">/*MC</font>
<a name="line266">266: </a><font color="#B22222">  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_SELF.html#PETSC_VIEWER_STDOUT_SELF">PETSC_VIEWER_STDOUT_SELF</A>  - same as <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_.html#PETSC_VIEWER_STDOUT_">PETSC_VIEWER_STDOUT_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font>

<a name="line268">268: </a><font color="#B22222">  Level: beginner</font>
<a name="line269">269: </a><font color="#B22222">M*/</font>
<a name="line270">270: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_SELF.html#PETSC_VIEWER_STDOUT_SELF">PETSC_VIEWER_STDOUT_SELF</A>  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_STDOUT_.html#PETSC_VIEWER_STDOUT_">PETSC_VIEWER_STDOUT_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font></strong>

<a name="line272">272: </a><font color="#B22222">/*MC</font>
<a name="line273">273: </a><font color="#B22222">  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_DRAW_WORLD.html#PETSC_VIEWER_DRAW_WORLD">PETSC_VIEWER_DRAW_WORLD</A>  - same as <A href="../docs/manualpages/Viewer/PETSC_VIEWER_DRAW_.html#PETSC_VIEWER_DRAW_">PETSC_VIEWER_DRAW_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font>

<a name="line275">275: </a><font color="#B22222">  Level: intermediate</font>
<a name="line276">276: </a><font color="#B22222">M*/</font>
<a name="line277">277: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PETSC_VIEWER_DRAW_WORLD.html#PETSC_VIEWER_DRAW_WORLD">PETSC_VIEWER_DRAW_WORLD</A>   <A href="../docs/manualpages/Viewer/PETSC_VIEWER_DRAW_.html#PETSC_VIEWER_DRAW_">PETSC_VIEWER_DRAW_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font></strong>

<a name="line279">279: </a><font color="#B22222">/*MC</font>
<a name="line280">280: </a><font color="#B22222">  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_DRAW_SELF.html#PETSC_VIEWER_DRAW_SELF">PETSC_VIEWER_DRAW_SELF</A>  - same as <A href="../docs/manualpages/Viewer/PETSC_VIEWER_DRAW_.html#PETSC_VIEWER_DRAW_">PETSC_VIEWER_DRAW_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font>

<a name="line282">282: </a><font color="#B22222">  Level: intermediate</font>
<a name="line283">283: </a><font color="#B22222">M*/</font>
<a name="line284">284: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PETSC_VIEWER_DRAW_SELF.html#PETSC_VIEWER_DRAW_SELF">PETSC_VIEWER_DRAW_SELF</A>    <A href="../docs/manualpages/Viewer/PETSC_VIEWER_DRAW_.html#PETSC_VIEWER_DRAW_">PETSC_VIEWER_DRAW_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font></strong>

<a name="line286">286: </a><font color="#B22222">/*MC</font>
<a name="line287">287: </a><font color="#B22222">  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_SOCKET_WORLD.html#PETSC_VIEWER_SOCKET_WORLD">PETSC_VIEWER_SOCKET_WORLD</A>  - same as <A href="../docs/manualpages/Viewer/PETSC_VIEWER_SOCKET_.html#PETSC_VIEWER_SOCKET_">PETSC_VIEWER_SOCKET_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font>

<a name="line289">289: </a><font color="#B22222">  Level: intermediate</font>
<a name="line290">290: </a><font color="#B22222">M*/</font>
<a name="line291">291: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PETSC_VIEWER_SOCKET_WORLD.html#PETSC_VIEWER_SOCKET_WORLD">PETSC_VIEWER_SOCKET_WORLD</A> <A href="../docs/manualpages/Viewer/PETSC_VIEWER_SOCKET_.html#PETSC_VIEWER_SOCKET_">PETSC_VIEWER_SOCKET_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font></strong>

<a name="line293">293: </a><font color="#B22222">/*MC</font>
<a name="line294">294: </a><font color="#B22222">  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_SOCKET_SELF.html#PETSC_VIEWER_SOCKET_SELF">PETSC_VIEWER_SOCKET_SELF</A>  - same as <A href="../docs/manualpages/Viewer/PETSC_VIEWER_SOCKET_.html#PETSC_VIEWER_SOCKET_">PETSC_VIEWER_SOCKET_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font>

<a name="line296">296: </a><font color="#B22222">  Level: intermediate</font>
<a name="line297">297: </a><font color="#B22222">M*/</font>
<a name="line298">298: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PETSC_VIEWER_SOCKET_SELF.html#PETSC_VIEWER_SOCKET_SELF">PETSC_VIEWER_SOCKET_SELF</A>  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_SOCKET_.html#PETSC_VIEWER_SOCKET_">PETSC_VIEWER_SOCKET_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font></strong>

<a name="line300">300: </a><font color="#B22222">/*MC</font>
<a name="line301">301: </a><font color="#B22222">  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_BINARY_WORLD.html#PETSC_VIEWER_BINARY_WORLD">PETSC_VIEWER_BINARY_WORLD</A>  - same as <A href="../docs/manualpages/Viewer/PETSC_VIEWER_BINARY_.html#PETSC_VIEWER_BINARY_">PETSC_VIEWER_BINARY_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font>

<a name="line303">303: </a><font color="#B22222">  Level: intermediate</font>
<a name="line304">304: </a><font color="#B22222">M*/</font>
<a name="line305">305: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PETSC_VIEWER_BINARY_WORLD.html#PETSC_VIEWER_BINARY_WORLD">PETSC_VIEWER_BINARY_WORLD</A> <A href="../docs/manualpages/Viewer/PETSC_VIEWER_BINARY_.html#PETSC_VIEWER_BINARY_">PETSC_VIEWER_BINARY_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font></strong>

<a name="line307">307: </a><font color="#B22222">/*MC</font>
<a name="line308">308: </a><font color="#B22222">  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_BINARY_SELF.html#PETSC_VIEWER_BINARY_SELF">PETSC_VIEWER_BINARY_SELF</A>  - same as <A href="../docs/manualpages/Viewer/PETSC_VIEWER_BINARY_.html#PETSC_VIEWER_BINARY_">PETSC_VIEWER_BINARY_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font>

<a name="line310">310: </a><font color="#B22222">  Level: intermediate</font>
<a name="line311">311: </a><font color="#B22222">M*/</font>
<a name="line312">312: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PETSC_VIEWER_BINARY_SELF.html#PETSC_VIEWER_BINARY_SELF">PETSC_VIEWER_BINARY_SELF</A>  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_BINARY_.html#PETSC_VIEWER_BINARY_">PETSC_VIEWER_BINARY_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font></strong>

<a name="line314">314: </a><font color="#B22222">/*MC</font>
<a name="line315">315: </a><font color="#B22222">  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_MATLAB_WORLD.html#PETSC_VIEWER_MATLAB_WORLD">PETSC_VIEWER_MATLAB_WORLD</A>  - same as <A href="../docs/manualpages/Sys/PETSC_VIEWER_MATLAB_.html#PETSC_VIEWER_MATLAB_">PETSC_VIEWER_MATLAB_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font>

<a name="line317">317: </a><font color="#B22222">  Level: intermediate</font>
<a name="line318">318: </a><font color="#B22222">M*/</font>
<a name="line319">319: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PETSC_VIEWER_MATLAB_WORLD.html#PETSC_VIEWER_MATLAB_WORLD">PETSC_VIEWER_MATLAB_WORLD</A> <A href="../docs/manualpages/Sys/PETSC_VIEWER_MATLAB_.html#PETSC_VIEWER_MATLAB_">PETSC_VIEWER_MATLAB_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>)</font></strong>

<a name="line321">321: </a><font color="#B22222">/*MC</font>
<a name="line322">322: </a><font color="#B22222">  <A href="../docs/manualpages/Viewer/PETSC_VIEWER_MATLAB_SELF.html#PETSC_VIEWER_MATLAB_SELF">PETSC_VIEWER_MATLAB_SELF</A>  - same as <A href="../docs/manualpages/Sys/PETSC_VIEWER_MATLAB_.html#PETSC_VIEWER_MATLAB_">PETSC_VIEWER_MATLAB_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font>

<a name="line324">324: </a><font color="#B22222">  Level: intermediate</font>
<a name="line325">325: </a><font color="#B22222">M*/</font>
<a name="line326">326: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Viewer/PETSC_VIEWER_MATLAB_SELF.html#PETSC_VIEWER_MATLAB_SELF">PETSC_VIEWER_MATLAB_SELF</A>  <A href="../docs/manualpages/Sys/PETSC_VIEWER_MATLAB_.html#PETSC_VIEWER_MATLAB_">PETSC_VIEWER_MATLAB_</A>(<A href="../docs/manualpages/Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A>)</font></strong>

<a name="line328">328: </a><strong><font color="#228B22">#define PETSC_VIEWER_MATHEMATICA_WORLD (PetscViewerInitializeMathematicaWorld_Private(),PETSC_VIEWER_MATHEMATICA_WORLD_PRIVATE) </font></strong>

<a name="line330">330: </a><font color="#B22222">/*</font>
<a name="line331">331: </a><font color="#B22222">   petscViewer writes to Matlab .mat file</font>
<a name="line332">332: </a><font color="#B22222">*/</font>
<a name="line333">333: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Sys/PetscViewerMatlabPutArray.html#PetscViewerMatlabPutArray">PetscViewerMatlabPutArray</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,int,int,<A href="../docs/manualpages/Sys/PetscScalar.html#PetscScalar">PetscScalar</A>*,char*)</font></strong>;
<a name="line334">334: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Sys/PetscViewerMatlabGetArray.html#PetscViewerMatlabGetArray">PetscViewerMatlabGetArray</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,int,int,<A href="../docs/manualpages/Sys/PetscScalar.html#PetscScalar">PetscScalar</A>*,char*)</font></strong>;
<a name="line335">335: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  PetscViewerMatlabPutVariable(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,const char*,void*)</font></strong>;

<a name="line337">337: </a><font color="#B22222">/* </font>
<a name="line338">338: </a><font color="#B22222">    <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> utility routines used by PETSc that are not normally used</font>
<a name="line339">339: </a><font color="#B22222">   by users.</font>
<a name="line340">340: </a><font color="#B22222">*/</font>
<a name="line341">341: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>   <A href="../docs/manualpages/Viewer/PetscViewerSocketPutScalar.html#PetscViewerSocketPutScalar">PetscViewerSocketPutScalar</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Sys/PetscScalar.html#PetscScalar">PetscScalar</A>*)</font></strong>;
<a name="line342">342: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>   <A href="../docs/manualpages/Viewer/PetscViewerSocketPutReal.html#PetscViewerSocketPutReal">PetscViewerSocketPutReal</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Sys/PetscReal.html#PetscReal">PetscReal</A>*)</font></strong>;
<a name="line343">343: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>   <A href="../docs/manualpages/Viewer/PetscViewerSocketPutInt.html#PetscViewerSocketPutInt">PetscViewerSocketPutInt</A>(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>*)</font></strong>;
<a name="line344">344: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>   PetscViewerSocketPutSparse_Private(<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>,<A href="../docs/manualpages/Sys/PetscScalar.html#PetscScalar">PetscScalar</A>*,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>*,<A href="../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A> *)</font></strong>;

<a name="line346">346: </a><font color="#B22222">/*S</font>
<a name="line347">347: </a><font color="#B22222">     <A href="../docs/manualpages/Viewer/PetscViewers.html#PetscViewers">PetscViewers</A> - Abstract collection of <A href="../docs/manualpages/Viewer/PetscViewers.html#PetscViewers">PetscViewers</A></font>

<a name="line349">349: </a><font color="#B22222">   Level: intermediate</font>

<a name="line351">351: </a><font color="#B22222">  Concepts: viewing</font>

<a name="line353">353: </a><font color="#B22222">.seealso:  <A href="../docs/manualpages/Viewer/PetscViewerCreate.html#PetscViewerCreate">PetscViewerCreate</A>(), <A href="../docs/manualpages/Viewer/PetscViewerSetType.html#PetscViewerSetType">PetscViewerSetType</A>(), <A href="../docs/manualpages/Viewer/PetscViewerType.html#PetscViewerType">PetscViewerType</A>, <A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, <A href="../docs/manualpages/Viewer/PetscViewersCreate.html#PetscViewersCreate">PetscViewersCreate</A>(),</font>
<a name="line354">354: </a><font color="#B22222">           <A href="../docs/manualpages/Viewer/PetscViewersGetViewer.html#PetscViewersGetViewer">PetscViewersGetViewer</A>()</font>
<a name="line355">355: </a><font color="#B22222">S*/</font>
<a name="line356">356: </a><font color="#4169E1">typedef struct _n_PetscViewers* <A href="../docs/manualpages/Viewer/PetscViewers.html#PetscViewers">PetscViewers</A>;</font>
<a name="line357">357: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewersCreate.html#PetscViewersCreate">PetscViewersCreate</A>(<A href="../docs/manualpages/Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>,<A href="../docs/manualpages/Viewer/PetscViewers.html#PetscViewers">PetscViewers</A>*)</font></strong>;
<a name="line358">358: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewersDestroy.html#PetscViewersDestroy">PetscViewersDestroy</A>(<A href="../docs/manualpages/Viewer/PetscViewers.html#PetscViewers">PetscViewers</A>)</font></strong>;
<a name="line359">359: </a><strong><font color="#4169E1">EXTERN <A href="../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../docs/manualpages/Viewer/PetscViewersGetViewer.html#PetscViewersGetViewer">PetscViewersGetViewer</A>(<A href="../docs/manualpages/Viewer/PetscViewers.html#PetscViewers">PetscViewers</A>,int,<A href="../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>*)</font></strong>;

<a name="line362">362: </a><font color="#A020F0">#endif</font>
</pre>
</body>

</html>
